## org.biojava.bio.seq.io
Class GenbankProcessor.Factory

    java.lang.Object
      org.biojava.bio.seq.io.GenbankProcessor.Factory

All Implemented Interfaces:
  SequenceBuilderFactory, java.io.Serializable

Enclosing class:
  GenbankProcessor

public static class GenbankProcessor.Factory
extends java.lang.Object
implements SequenceBuilderFactory, java.io.Serializable

Factory which wraps sequence builders in a GenbankProcessor

Author:
  Greg Cox
See Also:
  Serialized Form

Constructor Summary
`GenbankProcessor.Factory(SequenceBuilderFactory theDelegate)`

Method Summary
`SequenceBuilder` `makeSequenceBuilder()`
`SequenceBuilder` `makeSequenceBuilder(java.lang.String theSource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenbankProcessor.Factory

    public GenbankProcessor.Factory(SequenceBuilderFactory theDelegate)

Method Detail

### makeSequenceBuilder

    public SequenceBuilder makeSequenceBuilder()

  Specified by:
    `makeSequenceBuilder` in interface `SequenceBuilderFactory`

### makeSequenceBuilder

    public SequenceBuilder makeSequenceBuilder(java.lang.String theSource)